
#include "DigitalPin.h"

DigitalPin LED1(12, 13, 3);     // PinA1 = 12, PinC1 = 12, delay = 3ms.
DigitalPin LED2(10, 13, 3);
DigitalPin LED3(11, 13, 3);
DigitalPin LED4(12, 9, 3);
DigitalPin LED5(10, 9, 3);
DigitalPin LED6(11, 9, 3);
DigitalPin LED7(12, 8, 3);
DigitalPin LED8(10, 8, 3);
DigitalPin LED9(11, 8, 3);

DigitalPin LED1_Slow(12, 13, 100);

const int tempSensPin = A0;
int temp;

void setup() {
  LED1.begin();
  LED2.begin();
  LED3.begin();
  LED4.begin();
  LED5.begin();
  LED6.begin();
  LED7.begin();
  LED8.begin();
  LED9.begin();
}

void loop() {

  temp = analogRead(tempSensPin);
  float voltage = temp * 5.0;
  voltage /= 1024.0; 
  Serial.print(voltage); Serial.println(" volts");
  float temperatureC = (voltage - 0.5) * 100 ;
  Serial.print(temperatureC); Serial.println(" degrees C");
  
  for (int x = 0; x < 333; x++) {  //3ms in 1 sec = 333,33..   //27ms in 1 sec = 37,04    //always approx 1 second
    LED1.pulse();
    if (temperatureC > 0) {
      LED2.pulse();
      x ++;
    }
    if (temperatureC > 5) {
      LED3.pulse();
      x ++;
    }
    if (temperatureC > 10) {
      LED4.pulse();
      x ++;
    }
    if (temperatureC > 15) {
      LED5.pulse();
      x ++;
    }
    if (temperatureC > 20) {
      LED6.pulse();
      x ++;
    }
    if (temperatureC > 25) {
      LED7.pulse();
      x ++;
    }
    if (temperatureC > 30) {
      LED8.pulse();
      x ++;
    }
    if (temperatureC > 35) {
      LED9.pulse();
      x ++;
    }
  }
  for (int x = 0; x < 10; x++) {    //Test warning
  LED1_Slow.pulse();
  delay(100);
  }
}
